Subject: Ticket Assigned - 9419947246 - Late Delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 23:22:57 +0000

Hi Aws Adra,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9419947246 - Late Delivery Habiba                    My order is not yet           03:12 AM, 20th Mar                     Habiba                    Deliver           03:12 AM, 20th Mar                     Habiba                    They only message           03:13 AM, 20th Mar                     Habiba                    They should called           03:13 AM, 20th Mar                     Habiba                    Before coming           03:13 AM, 20th Mar                     Habiba                    Very bad service           03:13 AM, 20th Mar                   Aws                   Hi, Thank you for contacting HomeBox,  My name is Aws.           03:13 AM, 20th Mar                   Aws                   I do apologise for any inconvenience caused. We try and maintain a very high level of service/products. This is definitely not in keeping with our standards.           03:13 AM, 20th Mar                   Aws                   Could you please share your order number so that I can assist you further?           03:13 AM, 20th Mar                     Habiba                             03:14 AM, 20th Mar                     Habiba                    Waiting for 4 days           03:14 AM, 20th Mar                     Habiba                    Didn’t get           03:14 AM, 20th Mar                     Habiba                    It           03:14 AM, 20th Mar                     Habiba                    Please send tomorrow           03:14 AM, 20th Mar                     Habiba                    https://maps.google.com/maps?q=25.291372299194,55.377632141113           03:14 AM, 20th Mar                   Aws                   Please allow me a moment and I will check on this for you.           03:14 AM, 20th Mar                     Habiba                    301 sabha tower           03:14 AM, 20th Mar                     Habiba                    Sure           03:14 AM, 20th Mar                   Aws                   Thank you for waiting, Habiba            03:16 AM, 20th Mar                   Aws                   We sincerely apologize for this delay           03:16 AM, 20th Mar                     Habiba                    Hmm           03:16 AM, 20th Mar                     Habiba                    When I get           03:16 AM, 20th Mar                   Aws                   I will raise an immediate complaint to our courier partner to make sure that order will be delivered within 24 hours           03:17 AM, 20th Mar                     Habiba                    Thanku so much and do a call before coming           03:17 AM, 20th Mar                   Aws                   As I have checked, your registered address is 29 22 B St - Al Nahda DXB - Dubai           03:18 AM, 20th Mar                     Habiba                    Yes al Nahda 2 Dubai near ponds park           03:18 AM, 20th Mar                     Habiba                    Building sabha tower           03:19 AM, 20th Mar                   Aws                   Thank you for confirming           03:19 AM, 20th Mar                   Aws                   We will do our best to deliver your order as soonest           03:19 AM, 20th Mar                     Habiba                    Opposite to almeen school           03:19 AM, 20th Mar                     Habiba                    Thanku hope so           03:19 AM, 20th Mar                   Aws                   Again, please accept our apology for this           03:19 AM, 20th Mar                     Habiba                    ??           03:19 AM, 20th Mar                   Aws                   Is there anything else I can assist you with today?           03:20 AM, 20th Mar                   Aws                   Please feel free to come back and chat with us if you have any queries in the future. My name is Aws and have a wonderful day!           03:22 AM, 20th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5895457